# Uses of Class
net.shibboleth.shared.component.ComponentInitializationException

Packages that use ComponentInitializationException
Package
Description
net.shibboleth.shared.component
Set of interfaces used to describe basic features of "components" within a larger system.
net.shibboleth.shared.httpclient
Classes for working with Apache HttpClient.
net.shibboleth.shared.logic
Classes that represent basic first order logic concepts.
net.shibboleth.shared.net
Shared networking APIs and classes.
net.shibboleth.shared.scripting
Classes for working with JSR-223 scripting environments.
net.shibboleth.shared.security
Helpers for common security related tasks.
net.shibboleth.shared.security.impl
Implementations of security interfaces.
net.shibboleth.shared.service
Shared service APIs.
net.shibboleth.shared.service.impl
Implementations of shared service interfaces.
net.shibboleth.shared.service.security.impl
Security-related service implementation classes.
net.shibboleth.shared.spring.service
Spring specific implementations of `ServiceableComponent` and `ReloadableService`.
net.shibboleth.shared.xml.impl
XML implementation classes.

## Uses of ComponentInitializationException in net.shibboleth.shared.component

Methods in net.shibboleth.shared.component that throw ComponentInitializationException
Modifier and Type
Method
Description
`protected void`
AbstractIdentifiedInitializableComponent.`doInitialize()`
This method checks to ensure that the component ID is not null.
`protected void`
AbstractInitializableComponent.`doInitialize()`
Performs the initialization of the component.
`final void`
AbstractInitializableComponent.`initialize()`
Initializes the component.
`static void`
ComponentSupport.`initialize(Object obj)`
Deprecated, for removal: This API element is subject to removal in a future version.
If the given object is not null and an instance of `InitializableComponent`, then this method calls the given object's `InitializableComponent.initialize()` method.
`void`
InitializableComponent.`initialize()`
Initializes the component.

## Uses of ComponentInitializationException in net.shibboleth.shared.httpclient

Methods in net.shibboleth.shared.httpclient that throw ComponentInitializationException
Modifier and Type
Method
Description
`void`
FileCachingHttpClientBuilder.StorageManagingHttpClient.`initialize()`
Initializes the component.

## Uses of ComponentInitializationException in net.shibboleth.shared.logic

Methods in net.shibboleth.shared.logic that throw ComponentInitializationException
Modifier and Type
Method
Description
`static <T, U> ScriptedBiConsumer<T,U>`
ScriptedBiConsumer.`inlineScript(String scriptSource)`
Factory to create `ScriptedBiConsumer` from inline data.
`static <T, U> ScriptedBiConsumer<T,U>`
ScriptedBiConsumer.`inlineScript(String engineName, String scriptSource)`
Factory to create `ScriptedBiConsumer` from inline data.
`static <T, U, V> ScriptedBiFunction<T,U,V>`
ScriptedBiFunction.`inlineScript(String scriptSource)`
Factory to create `ScriptedBiFunction` from inline data.
`static <T, U, V> ScriptedBiFunction<T,U,V>`
ScriptedBiFunction.`inlineScript(String engineName, String scriptSource)`
Factory to create `ScriptedBiFunction` from inline data.
`static <T, U> ScriptedBiPredicate<T,U>`
ScriptedBiPredicate.`inlineScript(String scriptSource)`
Factory to create `ScriptedBiPredicate` from inline data.
`static <T, U> ScriptedBiPredicate<T,U>`
ScriptedBiPredicate.`inlineScript(String engineName, String scriptSource)`
Factory to create `ScriptedBiPredicate` from inline data.
`static <T> ScriptedConsumer<T>`
ScriptedConsumer.`inlineScript(String scriptSource)`
Factory to create `ScriptedConsumer` from inline data.
`static <T> ScriptedConsumer<T>`
ScriptedConsumer.`inlineScript(String engineName, String scriptSource)`
Factory to create `ScriptedConsumer` from inline data.
`static <T, U> ScriptedFunction<T,U>`
ScriptedFunction.`inlineScript(String scriptSource)`
Factory to create `ScriptedFunction` from inline data.
`static <T, U> ScriptedFunction<T,U>`
ScriptedFunction.`inlineScript(String engineName, String scriptSource)`
Factory to create `ScriptedFunction` from inline data.
`static <T> ScriptedPredicate<T>`
ScriptedPredicate.`inlineScript(String scriptSource)`
Factory to create `ScriptedPredicate` from inline data.
`static <T> ScriptedPredicate<T>`
ScriptedPredicate.`inlineScript(String engineName, String scriptSource)`
Factory to create `ScriptedPredicate` from inline data.
`static <T, U> ScriptedBiConsumer<T,U>`
ScriptedBiConsumer.`resourceScript(String engineName, Resource resource)`
Factory to create `ScriptedBiConsumer` from a `Resource`.
`static <T, U> ScriptedBiConsumer<T,U>`
ScriptedBiConsumer.`resourceScript(Resource resource)`
Factory to create `ScriptedBiConsumer` from a `Resource`.
`static <T, U, V> ScriptedBiFunction<T,U,V>`
ScriptedBiFunction.`resourceScript(String engineName, Resource resource)`
Factory to create `ScriptedBiFunction` from a `Resource`.
`static <T, U, V> ScriptedBiFunction<T,U,V>`
ScriptedBiFunction.`resourceScript(Resource resource)`
Factory to create `ScriptedBiFunction` from a `Resource`.
`static <T, U> ScriptedBiPredicate<T,U>`
ScriptedBiPredicate.`resourceScript(String engineName, Resource resource)`
Factory to create `ScriptedBiPredicate` from a `Resource`.
`static <T, U> ScriptedBiPredicate<T,U>`
ScriptedBiPredicate.`resourceScript(Resource resource)`
Factory to create `ScriptedBiPredicate` from a `Resource`.
`static <T> ScriptedConsumer<T>`
ScriptedConsumer.`resourceScript(String engineName, Resource resource)`
Factory to create `ScriptedConsumer` from a `Resource`.
`static <T> ScriptedConsumer<T>`
ScriptedConsumer.`resourceScript(Resource resource)`
Factory to create `ScriptedConsumer` from a `Resource`.
`static <T, U> ScriptedFunction<T,U>`
ScriptedFunction.`resourceScript(String engineName, Resource resource)`
Factory to create `ScriptedFunction` from a `Resource`.
`static <T, U> ScriptedFunction<T,U>`
ScriptedFunction.`resourceScript(Resource resource)`
Factory to create `ScriptedFunction` from a `Resource`.
`static <T> ScriptedPredicate<T>`
ScriptedPredicate.`resourceScript(String engineName, Resource resource)`
Factory to create `ScriptedPredicate` from a `Resource`.
`static <T> ScriptedPredicate<T>`
ScriptedPredicate.`resourceScript(Resource resource)`
Factory to create `ScriptedPredicate` from a `Resource`.

## Uses of ComponentInitializationException in net.shibboleth.shared.net

Methods in net.shibboleth.shared.net that throw ComponentInitializationException
Modifier and Type
Method
Description
`protected void`
CookieManager.`doInitialize()`
Performs the initialization of the component.

## Uses of ComponentInitializationException in net.shibboleth.shared.scripting

Methods in net.shibboleth.shared.scripting that throw ComponentInitializationException
Modifier and Type
Method
Description
`protected void`
EvaluableScript.`doInitialize()`
Performs the initialization of the component.
`protected void`
ScriptedRunnable.`doInitialize()`
This method checks to ensure that the component ID is not null.

## Uses of ComponentInitializationException in net.shibboleth.shared.security

Methods in net.shibboleth.shared.security that throw ComponentInitializationException
Modifier and Type
Method
Description
`void`
DataSealer.`doInitialize()`
Performs the initialization of the component.
`protected void`
EncryptedCookieManager.`doInitialize()`
Performs the initialization of the component.

## Uses of ComponentInitializationException in net.shibboleth.shared.security.impl

Methods in net.shibboleth.shared.security.impl that throw ComponentInitializationException
Modifier and Type
Method
Description
`void`
BasicKeystoreKeyStrategy.`doInitialize()`
Performs the initialization of the component.
`void`
ScriptedKeyStrategy.`doInitialize()`
Performs the initialization of the component.

## Uses of ComponentInitializationException in net.shibboleth.shared.service

Methods in net.shibboleth.shared.service that throw ComponentInitializationException
Modifier and Type
Method
Description
`protected void`
AbstractReloadableService.`doInitialize()`
This method checks to ensure that the component ID is not null.
`protected void`
ReloadableServiceGaugeSet.`doInitialize()`
Performs the initialization of the component.

## Uses of ComponentInitializationException in net.shibboleth.shared.service.impl

Methods in net.shibboleth.shared.service.impl that throw ComponentInitializationException
Modifier and Type
Method
Description
`protected void`
LogbackLoggingService.`doInitialize()`
This method checks to ensure that the component ID is not null.

## Uses of ComponentInitializationException in net.shibboleth.shared.service.security.impl

Methods in net.shibboleth.shared.service.security.impl that throw ComponentInitializationException
Modifier and Type
Method
Description
`protected void`
ReloadingAccessControlService.`doInitialize()`
This method checks to ensure that the component ID is not null.
`protected void`
ServiceableAccessControlService.`doInitialize()`
This method checks to ensure that the component ID is not null.

## Uses of ComponentInitializationException in net.shibboleth.shared.spring.service

Methods in net.shibboleth.shared.spring.service that throw ComponentInitializationException
Modifier and Type
Method
Description
`protected void`
AbstractServiceableComponent.`doInitialize()`
This method checks to ensure that the component ID is not null.
`protected void`
ReloadableSpringService.`doInitialize()`
This method checks to ensure that the component ID is not null.

## Uses of ComponentInitializationException in net.shibboleth.shared.xml.impl

Methods in net.shibboleth.shared.xml.impl that throw ComponentInitializationException
Modifier and Type
Method
Description
`protected void`
BasicParserPool.`doInitialize()`
Initialize the pool.